Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class HTMLManagerServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.catalina.servlets.ManagerServlet
                        |
                        +--org.apache.catalina.servlets.HTMLManagerServlet

All Implemented Interfaces:
  ContainerServlet, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public final class HTMLManagerServlet
extends ManagerServlet

Servlet that enables remote management of the web applications installed within the same virtual host as this web application is. Normally, this functionality will be protected by a security constraint in the web application deployment descriptor. However, this requirement can be relaxed during testing.

The difference between this `ManagerServlet` and this Servlet is that this Servlet prints out a HTML interface which makes it easier to administrate.

However if you use a software that parses the output of `ManagerServlet`ManagerServlet

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:11 $
Author:
  Bip Thelin
See Also:
  `ManagerServlet`, Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.servlets.ManagerServlet
`context, debug, deployer, sm, wrapper`

Constructor Summary
`HTMLManagerServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `list(java.io.PrintWriter writer)` Render a HTML list of the currently active Contexts in our virtual host.
`protected void` | `reload(java.io.PrintWriter writer, java.lang.String path)` Reload the web application at the specified context path.
`protected void` | `remove(java.io.PrintWriter writer, java.lang.String path)` Remove the web application at the specified context path.
`void` | `start(java.io.PrintWriter writer, java.lang.String path)` Start the web application at the specified context path.
`protected void` | `stop(java.io.PrintWriter writer, java.lang.String path)` Stop the web application at the specified context path.

Methods inherited from class org.apache.catalina.servlets.ManagerServlet
`destroy, getWrapper, init, install, sessions, setWrapper`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLManagerServlet

    public HTMLManagerServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `ManagerServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs

### list

    public void list(java.io.PrintWriter writer)

  Render a HTML list of the currently active Contexts in our virtual host.

  Overrides:
    `list` in class `ManagerServlet`
  Parameters:
    `writer` - Writer to render to

### reload

    protected void reload(java.io.PrintWriter writer,
                          java.lang.String path)

  Reload the web application at the specified context path.

  Overrides:
    `reload` in class `ManagerServlet`
  Parameters:
    `writer` - Writer to render to
    `path` - Context path of the application to be restarted

### remove

    protected void remove(java.io.PrintWriter writer,
                          java.lang.String path)

  Remove the web application at the specified context path.

  Overrides:
    `remove` in class `ManagerServlet`
  Parameters:
    `writer` - Writer to render to
    `path` - Context path of the application to be removed

### start

    public void start(java.io.PrintWriter writer,
                      java.lang.String path)

  Start the web application at the specified context path.

  Overrides:
    `start` in class `ManagerServlet`
  Parameters:
    `writer` - Writer to render to
    `path` - Context path of the application to be started

### stop

    protected void stop(java.io.PrintWriter writer,
                        java.lang.String path)

  Stop the web application at the specified context path.

  Overrides:
    `stop` in class `ManagerServlet`
  Parameters:
    `writer` - Writer to render to
    `path` - Context path of the application to be stopped

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.